Subject: Re: [ledbat] status update and way forward

From: "Mayutan A." <[email-masked]>
Date: Mon, 4 Oct 2010 14:59:01 +0200

Hi,

I would like to draw the group's attention to our work titled "NF-TCP:
Network Friendly TCP", that was published at
the 17th IEEE Workshop on Local and Metropolitan Area Networks (LANMAN
2010).

*The abstract is as follows:*
Delay-insensitive applications such as P2P file sharing, data center
backups and software updates generate substantial amounts of traffic.
This traffic, transported potentially over multiple TCP connections,
competes with traffic from other possibly interactive applications. Today,
with TCP, they compete
on an equal level for each individual connection. In this paper, we propose
a new TCP variant for
such delay-insensitive applications, which we call Network Friendly TCP
(NF-TCP). NF-TCP is responsive to available bandwidth, seeking to quickly
and efficiently utilize the same in a congestion-free situation,
while backing-off more aggressively than standard TCP on encountering
competing
traffic in a congested network. NF-TCP uses a novel combination of utilizing
measurement
of available bandwidth and ECN-based congestion avoidance techniques to
ensure
that it is truly friendly to existing TCP connections. We evaluate the
performance of NF-TCP
through ns-2 simulations and present the
initial results enlightening the friendly nature of NF-TCP compared to
standard TCP.

*A more detailed version of the paper is available at:
http://www.net.informatik.uni-goettingen.de/publications/1718/NF-TCP-techreport.pdf
*

Feedback is welcome.

Cheers,
Mayutan

Le 30 sept. 2010 à 19:07, Murari Sridharan a écrit :
>
> > Michael, to reiterate what Rolf said if you can pull this off prior to
> Beijing that would be great. We went through several deliberations at our
> end these past months and given the lack of activity both from authors and
> in the WG mailing lists and given the fact that our most important
> deliverable is the congestion control draft we decided to proceed forward
> trying to complete just that.
> >
> > Thanks
> >
> > -----Original Message-----
> > From: [email-masked] [mailto:[email-masked]] On Behalf
> Of Michael Welzl
> > Sent: Thursday, September 30, 2010 8:30 AM
> > To: Rolf Winter
> > Cc: [email-masked]; David Ros
> > Subject: Re: [ledbat] status update and way forward
> >
> > Absolutely! We'll do our best, promise!!
> >
> > Cheers,
> > Michael
> >
> >
> > On Sep 30, 2010, at 5:10 PM, Rolf Winter wrote:
> >
> >> Michael,
> >>
> >> The plan is to close the WG once the congestion control draft is done.
> >> If you can finish the document before that and get consensus on this
> >> list then that would be great. I also hope something similar can be
> >> done for the other remaining draft that we have. Given the little
> >> feedback recently, I would like to have at least three (3) people to
> >> commit to reviewing the document thoroughly though.
> >>
> >> Do you think this is a workable way forward?
> >>
> >> Best,
> >>
> >>      Rolf
> >>
> >>
> >> NEC Europe Limited | Registered Office: NEC House, 1 Victoria Road,
> >> London W3 6BL | Registered in England 2832014
> >>
> >>
> >>> -----Original Message-----
> >>> From: Michael Welzl [mailto:[email-masked]]
> >>> Sent: Donnerstag, 30. September 2010 15:47
> >>> To: Rolf Winter
> >>> Cc: [email-masked]; David Ros
> >>> Subject: Re: [ledbat] status update and way forward
> >>>
> >>> Hi,
> >>>
> >>> I took this message as procedural - that was, I think, regarding the
> >>> necessity to present it at a meeting or not (I think it was because
> >>> LEDBAT didn't meet in Maastricht, and then we wondered how to
> >>> proceed).
> >>> Anyway: indeed we were expecting to get a new version done very soon
> >>> then, but after that it was preempted by things with deadlines in our
> >>> todo list. I really didn't see how urgent this is, I just understood
> >>> that it's ok for you to complete the discussion via email. Had I
> >>> known that this is urgent and you really *need* us to do an update
> >>> soon, we would have quickly done that!
> >>>
> >>> Very sorry for misunderstanding the situation, and for having
> >>> announced an update which then didn't happen for a long time. The
> >>> sense of urgency is crystal clear now, so we would definitely move
> >>> ahead fast - but I hope the document doesn't have to be dropped!
> >>>
> >>> Cheers,
> >>> Michael
> >>>
> >>>
> >>> On Sep 30, 2010, at 3:19 PM, Rolf Winter wrote:
> >>>
> >>>> Hi Michael,
> >>>>
> >>>> this shouldn't come as a complete surprise. Four (4) months ago we
> >>>> sent an Email to the list about how we could go forward and asked
> >>>> for feedback. Quoting:
> >>>>
> >>>> "Our recommendation is to make changes to the ledbat draft and
> >>>> complete the discussion over email, forward the document to IESG and
> >>>> close the WG."
> >>>>
> >>>> After which ALL document authors said that a new version is just
> >>>> around the corner, including you. As you know this has not happened.
> >>>>
> >>>> Best,
> >>>>
> >>>>    Rolf
> >>>>
> >>>>
> >>>>
> >>>> NEC Europe Limited | Registered Office: NEC House, 1 Victoria Road,
> >>>> London W3 6BL | Registered in England 2832014
> >>>>
> >>>>
> >>>>> -----Original Message-----
> >>>>> From: [email-masked] [mailto:[email-masked]] On
> >>>>> Behalf Of Michael Welzl
> >>>>> Sent: Donnerstag, 30. September 2010 10:14
> >>>>> To: Rolf Winter
> >>>>> Cc: [email-masked]; David Ros
> >>>>> Subject: Re: [ledbat] status update and way forward
> >>>>>
> >>>>>> 2. We decided to drop draft-ietf-ledbat-survey as a milestone. The
> >>>>>> draft has already expired and has not seen an update since the
> >>>>>> adoption as a WG item.
> >>>>>
> >>>>> ARGH!! PLEASE!   Without even a comment to us authors?!
> >>>>>
> >>>>> I'm terribly sorry for the draft's expiry; this didn't go unnoticed
> >>>>> to us, and we are trying to get this updated just now, definitely
> >>>>> in time before the next IETF!
> >>>>> Had we known that you're considering dropping it, we would have of
> >>>>> course updated it faster!!  I thought it's not a big deal that it
> >>>>> expired as long as we were going to provide an update by the next
> >>>>> meeting anyway.
> >>>>>
> >>>>> Either way this next one is quite a minor update, as we believe
> >>>>> that the document is already in quite a good shape. A lot of work
> >>>>> has already gone into this, before approving it as a WG item I ask
> >>>>> you to PLEASE reconsider this!
> >>>>>
> >>>>> Michael
> >>>>>
> >>>>> _______________________________________________
> >>>>> ledbat mailing list
> >>>>> [email-masked]
> >>>>> https://www.ietf.org/mailman/listinfo/ledbat
> >>
> >
> > _______________________________________________
> > ledbat mailing list
> > [email-masked]
> > https://www.ietf.org/mailman/listinfo/ledbat
> >
>
> =================================================================
> David ROS
> http://www.rennes.enst-bretagne.fr/~dros/<http://www.rennes.enst-bretagne.fr/%7Edros/>
>
> I love deadlines. I like the whooshing sound they make as they fly by. --
> Douglas Adams
>
>
>
>
>

-- 
Mayutan Arumaithurai
0049-551-2712647 (Home number)
0049-176-20322049 (mobile number)